% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mod-methods.R
\name{mod}
\alias{mod}
\alias{'\%\%'}
\alias{modulo}
\alias{mod,matrix,numeric-method}
\title{Modulo Operation}
\usage{
mod(n, m, ...)

\S4method{mod}{matrix,numeric}(n, m)
}
\arguments{
\item{n}{A matrix where each element can be reduced to integers or the
same as in \code{\link[mod]{numbers}}.}

\item{m}{As in \code{\link[mod]{numbers}}.}

\item{...}{Not in use yet.}
}
\value{
An element of x, an \code{\link{Automorphism-class}} object.
}
\description{
Integer remainder of the division of the integer n by m:
n mod m. This function extend the application of function
\code{\link[mod]{numbers}} to matrices where the operation on each row is
with is accomplish with a different values of \eqn{m}, i.e, where \eqn{m}
is a vector.
}
\examples{
## Build a matrix 'n' and set a vector of integers 'm'
n <- diag(x=1, nrow = 4, ncol = 4) * c(43,125,2,112)
m <- c(64,4,4,64)

## Operation n mod m 
mod(n = n, m = m)

## Or simply:
n \%\% m
}
\author{
Robersy Sanchez (\url{https://genomaths.com}).
}
